# AnswerCallbackQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers / AnswerCallbackQuery

# AnswerCallbackQuery

(common) `data class AnswerCallbackQuery : SimpleRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`AnswerCallbackQuery(callbackQueryId: CallbackQueryIdentifier, text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null)`

### Properties

(common)

#### cachedTimeSeconds

`val cachedTimeSeconds: Int?`

(common)

#### callbackQueryId

`val callbackQueryId: CallbackQueryIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### showAlert

`val showAlert: Boolean?`

(common)

#### text

`val text: String?`

(common)

#### url

`val url: String?`

### Functions

(common)

#### method

`fun method(): String`